#pragma once

#include "ximage.h"
#include "xfile.h"

class CxImage;
// EngraveImage

class EngraveImage : public CWnd
{
	DECLARE_DYNAMIC(EngraveImage)

public:
	EngraveImage();
	inline CxImage *GetImage() { return image; }
	virtual ~EngraveImage();
	CxImage* image;
	CString FindExtension(const CString& name);
	int FindType(const CString& ext);

protected:
	DECLARE_MESSAGE_MAP()
public:
	bool LoadImage(LPCTSTR file);
	afx_msg void OnPaint();
};


